Switch from squeeze to lmde with sources.list

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

Switch from squeeze to lmde with sources.list

Postby zins on Wed Oct 13, 2010 8:06 am

Hi all !
I am actually running debian squeeze, i would like to know if changing my sources.list by adding the lmde repository ( and doing apt-get dist-upgrade )is sufficient to migrate ...

Any advice anyone ?
zins
Level 1
Level 1
 
Posts: 3
Joined: Wed Oct 13, 2010 8:01 am

Linux Mint is funded by ads and donations.
 

Re: Switch from squeeze to lmde with sources.list

Postby craigevil on Wed Oct 13, 2010 8:46 am

Its not really an upgrade, just adding the Mint packages to your current install.

# Linux Mint Debian http://www.linuxmint.com/blog/?p=1527
# Default LMDE repositories
# Secure APT - apt-get install linuxmint-keyring
# deb http://packages.linuxmint.com/ debian main upstream import

Add the repo, apt-get update, install the linuxmint-keyring, then do apt-get install mint-meta-debian

mint-meta-debian
Description: All the packages installed by default in the Debian Edition of Linux Mint


I do not use Gnome so when I did apt-get install mint-meta-debian -s it wanted to do:
0 upgraded, 100 newly installed, 1 to remove and 1 not upgraded.

The removed package is flashplayer-mozilla, it would remove that and install flashplugin-nonfree which is pretty much the same thing but it is in the Debian repos rather than in the dmm repo.

Code: Select all
$ apt-get install mint-meta-debian -s
NOTE: This is only a simulation!
      apt-get needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  command-not-found cowsay deskbar-applet flashplugin-nonfree fortune-mod
  fortunes-husse gnome-colors-common gnome-mime-data gnome-wise-icon-theme
  grub2-theme-mint gstreamer0.10-esd gstreamer0.10-pitfdll gtk2-engines-aurora
  gtk2-engines-candido gtk2-engines-murrine gtk2-engines-pixbuf gvfs
  libatasmart4 libavahi-glib1 libbonobo2-0 libbonobo2-common libbonoboui2-0
  libbonoboui2-common libcamel1.2-14 libebook1.2-9 libedataserver1.2-13
  libgdu0 libgnome-bluetooth7 libgnome-desktop-2-17 libgnome-menu2 libgnome2-0
  libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0
  libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libmetacity-private0
  libnautilus-extension1 libnm-glib-vpn1 libnm-glib2 libnm-util1
  libpanel-applet2-0 librecode0 libsexy2 libsgutils2-2 libunshield0 metacity
  metacity-common mint-artwork-debian mint-common mint-info-debian
  mint-search-addon mint-stylish-addon mint-translations mintbackup
  mintdesktop mintinstall mintmenu mintnanny mintsystem mintupdate mintupload
  mintwelcome mintwifi nautilus nautilus-actions nautilus-data nautilus-gksu
  nautilus-open-terminal nautilus-sendto nautilus-share ndisgtk
  ndiswrapper-common ndiswrapper-utils-1.9 network-manager
  network-manager-gnome network-manager-pptp network-manager-pptp-gnome
  policykit-1-gnome pptp-linux python-aptdaemon python-crypto python-gdbm
  python-gmenu python-gnomeapplet python-gnomedesktop python-gnomekeyring
  python-paramiko python-pyorbit python-sexy python-wnck samba-common
  samba-common-bin shiki-colors-metacity-theme shiki-wise-theme udisks
  unshield
Suggested packages:
  filters konqueror-nsplugins ttf-xfree86-nonfree
  flashplugin-nonfree-extrasound fortunes arc-wise gvfs-backends
  libbonobo2-bin libgnomevfs2-bin fam sg3-utils gnome-control-center
  gnome-themes eog tracker evolution icedove claws-mail pidgin gajim
  gnome-bluetooth samba ndiswrapper-source avahi-autoipd
  network-manager-openvpn-gnome network-manager-vpnc-gnome python-crypto-dbg
  python-gdbm-dbg gnome-panel mdadm cryptsetup
Recommended packages:
  gnome-dictionary fortunes-min fortune-cookie-db murrine-themes hwdata
  libgnomevfs2-extra brasero app-install-data ndiswrapper-dkms dnsmasq-base
  modemmanager libpam-keyring mobile-broadband-provider-info aptdaemon
The following packages will be REMOVED:
  flashplayer-mozilla
The following NEW packages will be installed:
  command-not-found cowsay deskbar-applet flashplugin-nonfree fortune-mod
  fortunes-husse gnome-colors-common gnome-mime-data gnome-wise-icon-theme
  grub2-theme-mint gstreamer0.10-esd gstreamer0.10-pitfdll gtk2-engines-aurora
  gtk2-engines-candido gtk2-engines-murrine gtk2-engines-pixbuf gvfs
  libatasmart4 libavahi-glib1 libbonobo2-0 libbonobo2-common libbonoboui2-0
  libbonoboui2-common libcamel1.2-14 libebook1.2-9 libedataserver1.2-13
  libgdu0 libgnome-bluetooth7 libgnome-desktop-2-17 libgnome-menu2 libgnome2-0
  libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0
  libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libmetacity-private0
  libnautilus-extension1 libnm-glib-vpn1 libnm-glib2 libnm-util1
  libpanel-applet2-0 librecode0 libsexy2 libsgutils2-2 libunshield0 metacity
  metacity-common mint-artwork-debian mint-common mint-info-debian
  mint-meta-debian mint-search-addon mint-stylish-addon mint-translations
  mintbackup mintdesktop mintinstall mintmenu mintnanny mintsystem mintupdate
  mintupload mintwelcome mintwifi nautilus nautilus-actions nautilus-data
  nautilus-gksu nautilus-open-terminal nautilus-sendto nautilus-share ndisgtk
  ndiswrapper-common ndiswrapper-utils-1.9 network-manager
  network-manager-gnome network-manager-pptp network-manager-pptp-gnome
  policykit-1-gnome pptp-linux python-aptdaemon python-crypto python-gdbm
  python-gmenu python-gnomeapplet python-gnomedesktop python-gnomekeyring
  python-paramiko python-pyorbit python-sexy python-wnck samba-common
  samba-common-bin shiki-colors-metacity-theme shiki-wise-theme udisks
  unshield
0 upgraded, 100 newly installed, 1 to remove and 1 not upgraded
Debian Sid KDE4.8.4 Kernel 3.4 Thinkpad R40 CPU Pentium M 1.3MHz RAM 2GB ATI Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
craigevil
Level 5
Level 5
 
Posts: 559
Joined: Wed Sep 15, 2010 6:10 am
Location: down the rabbit hole

Re: Switch from squeeze to lmde with sources.list

Postby zins on Wed Oct 13, 2010 9:17 am

Thanx man,
i will try it out ...
zins
Level 1
Level 1
 
Posts: 3
Joined: Wed Oct 13, 2010 8:01 am

Re: Switch from squeeze to lmde with sources.list

Postby secipolla on Wed Oct 13, 2010 12:04 pm

I suggest that you add the repo, run 'apt-get update', install linuxmint-keyring and then open Synaptic and choose in the left column LMDE's repo so you see what you have available.
You can also select mint-meta-debian and look in its properties what packages it includes.

Why? You already have Iceweasel and Evolution for email, for instance, why would you add Firefox and Thunderbird?
So you can maybe install instead only Mint's tools and artwork (wallpapers and themes).

The option is yours.
secipolla
Level 4
Level 4
 
Posts: 356
Joined: Sun Sep 05, 2010 5:19 pm

Re: Switch from squeeze to lmde with sources.list

Postby zins on Wed Oct 13, 2010 12:41 pm

That is a great idea, this way i can choose and decide witch package i install, it more configurable !

Thanx guys !!

Zins
zins
Level 1
Level 1
 
Posts: 3
Joined: Wed Oct 13, 2010 8:01 am

Re: Switch from squeeze to lmde with sources.list

Postby Rifester on Sun Jan 02, 2011 11:37 am

Zins,

Did you attempt this? Did you have any issues? Inquiring minds want to know!

---Rifester
User avatar
Rifester
Level 3
Level 3
 
Posts: 124
Joined: Mon Feb 15, 2010 7:10 pm
Location: Columbus, OH-USA


Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 8 guests